/*
 *  The contents of this file are subject to the Netscape Public License
 *  Version 1.0 (the "License"); you may not use this file except in
 *  compliance with the License. You may obtain a copy of the License at
 *  http://www.mozilla.org/NPL/
 *
 *  Software distributed under the License is distributed on an "AS IS"
 *  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 *  License for the specific language governing rights and limitations under
 *  the License.
 *
 *  The Original Code is Mozilla Communicator client code, released March
 *  31, 1998.
 *
 *  The Initial Developer of the Original Code is Netscape Communications
 *  Corporation. Portions created by Netscape are Copyright (C) 1998 Netscape
 *  Communications Corporation. All Rights Reserved.
 *
 *  Contributors: Justin Fletcher (RISCOS Ltd) for use with FilerAction
 */

/*******************************************************************
 * File:     dboxlong.h
 * Purpose:  Support for longs in dbox
 * Author:   Justin Fletcher
 * Date:     24 May 1999
 ******************************************************************/

#ifndef DBOXLONG_H

#include "options.h"
#include "prlong.h"

#ifdef USE_LONG_LONG
void dbox_setlongnumeric(dbox d, dbox_field f, PRInt64 n);
#else
#define dbox_setlongnumeric(x,y,z) dbox_setnumeric(x,y,z);
#endif

#endif
